# Frontend

Esse é o repositório do frontend do projeto Veículos Via Montadora. Ele é responsável por prover a interface de usuário do projeto.

## React.js

O React é uma biblioteca front-end JavaScript de código aberto com foco em criar interfaces de usuário em páginas web que precisam ser atualizadas em tempo real. Ele é ideal para esse tipo de aplicação porque ele permite que você atualize a interface de usuário de forma rápida e eficiente.

## MaterialUI

Material UI é uma biblioteca abrangente de componentes que apresenta implementação do sistema Material Design do Google. O MUI oferece um conjunto abrangente de ferramentas de interface do usuário para ajudar a desenvolver novas features mais rapidamente.

## Desenvolvimento

1. Instale o [Node.js](https://nodejs.org/en) versão `>= 18`.

2. Instale o [Yarn](https://yarnpkg.com/) com o comando:

```sh
npm install -g yarn
```

3. Instale as dependências do projeto com o comando:

```sh
yarn install
```

Para isso, é necessário estar com um terminal aberto na pasta raiz do projeto.

4. Para iniciar o servidor de desenvolvimento, execute o comando:

```sh
yarn dev
```

Depois, acesse o endereço `http://localhost:3000` no seu navegador.

5. Para mais comandos, veja o arquivo `package.json` em 'scripts'.

6. Não esqueça de criar um arquivo `.env` na raiz do projeto com as variáveis de ambiente necessárias para o projeto. Para mais informações, veja o arquivo `.env.example`.

### Testes

Para rodar os testes, digite o seguinte comando na raiz do projeto:

```sh
yarn test
```
